<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.PurgeExtension.purge</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.PurgeExtension.purge</h1>
<p>
Module implementing the purge extension interface.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#Purge">Purge</a></td>
<td>Class implementing the purge extension interface.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="Purge" ID="Purge"></a>
<h2>Purge</h2>
<p>
    Class implementing the purge extension interface.
</p>

<h3>Derived from</h3>
HgExtension
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#Purge.__init__">Purge</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#Purge.__getEntries">__getEntries</a></td>
<td>Private method to get a list of files/directories being purged.</td>
</tr>
<tr>
<td><a href="#Purge.hgPurge">hgPurge</a></td>
<td>Public method to purge files and directories not tracked by Mercurial.</td>
</tr>
<tr>
<td><a href="#Purge.hgPurgeList">hgPurgeList</a></td>
<td>Public method to list files and directories not tracked by Mercurial.</td>
</tr>
<tr>
<td><a href="#Purge.shutdown">shutdown</a></td>
<td>Public method used to shutdown the purge interface.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="Purge.__init__" ID="Purge.__init__"></a>
<h4>Purge (Constructor)</h4>
<b>Purge</b>(<i>vcs</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>vcs</i> (Hg)</dt>
<dd>
reference to the Mercurial vcs object
</dd>
</dl>
<a NAME="Purge.__getEntries" ID="Purge.__getEntries"></a>
<h4>Purge.__getEntries</h4>
<b>__getEntries</b>(<i>deleteAll</i>)
<p>
        Private method to get a list of files/directories being purged.
</p>

<dl>

<dt><i>deleteAll</i> (bool)</dt>
<dd>
flag indicating to delete all files including ignored
            ones
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
name of the current patch
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="Purge.hgPurge" ID="Purge.hgPurge"></a>
<h4>Purge.hgPurge</h4>
<b>hgPurge</b>(<i>deleteAll=False</i>)
<p>
        Public method to purge files and directories not tracked by Mercurial.
</p>

<dl>

<dt><i>deleteAll</i> (bool)</dt>
<dd>
flag indicating to delete all files including ignored
            ones
</dd>
</dl>
<a NAME="Purge.hgPurgeList" ID="Purge.hgPurgeList"></a>
<h4>Purge.hgPurgeList</h4>
<b>hgPurgeList</b>(<i>deleteAll=False</i>)
<p>
        Public method to list files and directories not tracked by Mercurial.
</p>

<dl>

<dt><i>deleteAll</i> (bool)</dt>
<dd>
flag indicating to list all files including ignored
            ones
</dd>
</dl>
<a NAME="Purge.shutdown" ID="Purge.shutdown"></a>
<h4>Purge.shutdown</h4>
<b>shutdown</b>(<i></i>)
<p>
        Public method used to shutdown the purge interface.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
